Page MenuHomePhabricator

Evaluate existing Phabricator projects for Wikimedia projects to decide on projects for sites in specific languages
Closed, ResolvedPublic

Related Objects

Event Timeline

Aklapper created this task.Sep 1 2015, 2:13 PM
Aklapper claimed this task.
Aklapper raised the priority of this task from to Low.
Aklapper updated the task description. (Show Details)
Aklapper added a project: DevRel-October-2015.
Aklapper added a subscriber: Aklapper.
Krenair added a subscriber: Krenair.Sep 1 2015, 2:36 PM
Qgil renamed this task from Evaluate T802 for T91286 to Evaluate existing Phabricator projects for Wikimedia projects to decide on projects for sites in specific languages.Sep 1 2015, 5:51 PM
Qgil set Security to None.
revi added a subscriber: revi.Sep 11 2015, 4:16 PM

I've seen a few tasks go into Wikisource / Wiktionary that should have been listed against other projects to be useful. There's no point filing config change requests if you're not going to mark it Wikimedia-Site-requests to bring it to the attention of someone who actually processes those. I imagine there are other similar cases involving other projects.

(Some users seem to think that "filing in Phabricator" ensures someone relevant will see it - but in reality you must set the right projects for that to happen)

Firstly, it is a whole lot easier to associate tickets to projects than it is to find the relevant tracking bug (T-numbers always forgotten) and get to each to back-add a ticket. Damn ugly that.

  • I have no idea what the colours for projects represent. Legend?
  • A permanent (footer?) link for to a page for newbies and non-techs on how to create a good phabricator ticket would add value, and one on how to get best value from phabricator. You tech heads breathe it, and support each other in good usage. I almost wonder on a page like "Phabricator for Wikimedians]]
  • At enWS we haven't made the most use of the board aspect of tickets, and that might be because the project/board view is not evident. So having to relearn perusing the board, and ours is not well-conceived at this time, and more seems to be used to #tag rather than provide an overview.

Difficulties?

  • Moving a ticket from the bottom of a long list to the top of a short list on the project board. I have had to resort to shimmying it up the list until I can see the shorter list to them move it across.
  • I have little idea on the interaction between phabricator <-> wherever the code sits, and diffusion? and gerrit? both seems to have relevance here

I have no idea what the colours for projects represent. Legend?

https://www.mediawiki.org/wiki/Phabricator/Project_management#Types_of_Projects

Thanks for the link.

My implicit point was responsive to Krenair's comments about addition of groups. One is never sure what to add, and as Phabricator is very occasional for some (non-developers), though where developers do much live?). As such that Phab has a separate way of being and from within the wiki that knowing the exact cultural practice and the understanding is not evident or easily found.

So the challenge is within a cleaner interface how do we give the occasional user better guidance on best practice use.

  • A permanent (footer?) link for to a page for newbies and non-techs on how to create a good phabricator ticket

That's T115017 (broader picture: T103556#1712643).

  • Moving a ticket from the bottom of a long list to the top of a short list on the project board. I have had to resort to shimmying it up the list until I can see the shorter list to them move it across.

T78190 sounds related, and T94886.

  • I have little idea on the interaction between phabricator <-> wherever the code sits, and diffusion? and gerrit? both seems to have relevance here

That might be a general question suited for mw:Phabricator/Help? :)

I've seen a few tasks go into Wikisource / Wiktionary that should have been listed against other projects to be useful. There's no point filing config change requests if you're not going to mark it Wikimedia-Site-requests to bring it to the attention of someone who actually processes those.

That's correct, and I'd expect experienced folks to triage tasks (also means fixing associate projects) and explain their actions in a friendly way to task reporters and pointing them to https://www.mediawiki.org/wiki/How_to_report_a_bug .
Again, T115017 feels related.

Adding the subscribers of T802 here to get more input:

Do you have any impressions to share specifically about the Commons, Wikisource, Wiktionary projects in Phabricator, now that we've had them for seven months?

(General Phabricator feedback is welcome on mw:Talk:Phabricator/Help instead.)

Thank you for your help and feedback!

I would be happier if I had a search query to list reports filed against those projects and missing a component, so that they can be added to the correct project.

I would be happier if I had a search query to list reports filed against those projects and missing a component, so that they can be added to the correct project.

So you want to search for tasks which are only associated to e.g. the "Commons" project but no other projects (or rather "code projects", as other tag project like "i18n" could always be applied)? That's not possible currently - skimming the list of open tasks in the search results is the best we have currently.

Yeah, it would be good to get a list of tasks that are not connected to any "blue" project.

So the challenge is within a cleaner interface how do we give the occasional user better guidance on best practice use.

Wondering if T115017 would help here (though most people will not click links anyway, but wroth a try).

Aklapper added a comment.EditedDec 2 2015, 6:23 PM

So to summarize, the main (and only?) problem that people see is that users report against projects like Commons without being able to access/find/read the project description (I wonder if some part of the project description could be somehow displayed on the task creation page, like TextExtracts in Hovercards in MediaWiki) and hence also without associating the task to a "real" code project. That's what T234#1893103 is about.
I don't see any other aspects that need fixing mentioned in this task.

Aklapper raised the priority of this task from Low to Normal.Dec 3 2015, 4:45 PM

I summarize that T115017: For new Phab accounts, link to [[mw:How to report a bug]] at the top of task creation form, T234: Projects dropdown should offer project descriptions, and T89865: Phabricator project page should not default to workboard might be potential approaches to the problems brought up in this task.
Thanks to everybody who provided feedback. Closing as resolved.

Aklapper closed this task as Resolved.Dec 20 2015, 12:33 AM
Aklapper updated the task description. (Show Details)